# BasePropertyType Class Reference
[Supported meta-types]

Inheritance diagram for BasePropertyType:
[legend]

List of all members.

## Public Member Functions

| getDeclaration ()
| isMeasurable ()
| toColumnType ()
| getPrimitiveName ()
| isGeneric ()
| toMethods (MetaClass $class, MetaClassProperty $property, MetaClassProperty $holder=null)
| hasDefault ()
| getDefault ()
| setDefault ($default)
| toGetter (MetaClass $class, MetaClassProperty $property, MetaClassProperty $holder=null)
| toSetter (MetaClass $class, MetaClassProperty $property, MetaClassProperty $holder=null)
| getHint ()

## Protected Attributes

| $default = null

## Detailed Description

Definition at line 15 of file BasePropertyType.class.php.

## Member Function Documentation

BasePropertyType::getDeclaration | ( |  | ) | `[abstract]`

Reimplemented in BinaryType, BooleanType, HstoreType, IntegerType, ObjectType, and StringType.

BasePropertyType::getDefault | ( |  | ) |

Definition at line 45 of file BasePropertyType.class.php.

BasePropertyType::getHint | ( |  | ) |

Reimplemented in ObjectType.

Definition at line 122 of file BasePropertyType.class.php.

BasePropertyType::getPrimitiveName | ( |  | ) | `[abstract]`

Reimplemented in BinaryType, BooleanType, DateRangeType, DateType, FloatType, HstoreType, HttpUrlType, InetType, IntegerType, ObjectType, RangeType, StringType, TimestampType, and TimeType.

BasePropertyType::hasDefault | ( |  | ) |

Definition at line 40 of file BasePropertyType.class.php.

Referenced by StringType::getDeclaration(), IntegerType::getDeclaration(), HstoreType::getDeclaration(), and BooleanType::getDeclaration().

BasePropertyType::isGeneric | ( |  | ) |

Reimplemented in DateType, HstoreType, HttpUrlType, InternalType, ObjectType, and TimeType.

Definition at line 24 of file BasePropertyType.class.php.

BasePropertyType::isMeasurable | ( |  | ) | `[abstract]`

Reimplemented in BinaryType, BooleanType, FloatType, HstoreType, HttpUrlType, IntegerType, ObjectType, and StringType.

BasePropertyType::setDefault | ( | $ | default | ) |

Reimplemented in BooleanType, FloatType, InetType, IntegerType, and StringType.

Definition at line 50 of file BasePropertyType.class.php.

BasePropertyType::toColumnType | ( |  | ) | `[abstract]`

Reimplemented in BigIntegerType, BooleanType, DateType, DoubleType, FloatType, HstoreType, HttpUrlType, IntegerType, NumericType, ObjectType, RangeType, SmallIntegerType, TimestampType, TimeType, UnsignedBigIntegerType, UnsignedIntegerType, and UnsignedSmallIntegerType.

BasePropertyType::toGetter | ( | MetaClass $ | class,
|  | MetaClassProperty $ | property,
|  | MetaClassProperty $ | holder = `null` |
| ) |  |  |

Reimplemented in BooleanType, and ObjectType.

Definition at line 57 of file BasePropertyType.class.php.

References MetaClassProperty::getName().

Referenced by toMethods().

Here is the call graph for this function:

BasePropertyType::toMethods | ( | MetaClass $ | class,
|  | MetaClassProperty $ | property,
|  | MetaClassProperty $ | holder = `null` |
| ) |  |  |

Reimplemented in ObjectType.

Definition at line 29 of file BasePropertyType.class.php.

References toGetter().

Here is the call graph for this function:

BasePropertyType::toSetter | ( | MetaClass $ | class,
|  | MetaClassProperty $ | property,
|  | MetaClassProperty $ | holder = `null` |
| ) |  |  |

Returns:
  {$holder->getClass()->getName()}
  {$class->getName()}

Reimplemented in BooleanType, and ObjectType.

Definition at line 80 of file BasePropertyType.class.php.

References MetaClassProperty::getName().

Here is the call graph for this function:

## Member Data Documentation

BasePropertyType::$default = null`[protected]`

Definition at line 22 of file BasePropertyType.class.php.

Referenced by StringType::setDefault(), IntegerType::setDefault(), InetType::setDefault(), FloatType::setDefault(), and BooleanType::setDefault().

The documentation for this class was generated from the following file:

- meta/types/BasePropertyType.class.php